cimport numpy as np
import numpy as np

def compute(np.ndarray[np.double_t, ndim=2] input_array):
    cdef np.ndarray[np.double_t, ndim=2] result
    cdef int i, j

    result = np.zeros_like(input_array)

    # This is fully in Cython
    for i in range(input_array.shape[0]):
        for j in range(input_array.shape[1]):
            result[i,j] = input_array[i,j] + 1

    # This would make a Python call to Numpy:
    #
    # for i in range(input_array.shape[0]):
    #    result[i,:] = input_array[i,:] + 1

    return result
