from distutils.core import setup
from distutils.extension import Extension
from Cython.Distutils import build_ext

setup(
    cmdclass = {'build_ext': build_ext},
    ext_modules = [
        Extension("anagram",
                  ["anagram.pyx",
                   "src/anagram_find.c",
                   "src/anagram_interface.c",
                   "src/wordlist.c",
                   "src/wordlist_add.c",
                   "src/wordlist_fix.c",
                   ],
                  include_dirs=['src'],
        ),
])
